%define module_name Group-Git
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Any.pm) perl(File/chdir.pm) perl(Getopt/Alt.pm) perl(IO/Prompt.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Net/GitHub.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Term/ANSIColor.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Spelling.pm) perl(Test/Warnings.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(WWW/Mechanize.pm) perl(WWW/Mechanize/Cached.pm) perl(YAML/Syck.pm) perl(namespace/autoclean.pm) perl(threads.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7.1
Release: alt1
Summary: Base module for group of git repository operations.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IV/IVANWILLS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This is the base module it will try to use all roles in the `Group::Git::Cmd::*'
namespace. This allows the creation of new command by just putting a role in that
namespace. Classes may extend this class to implement their own methods for
finding repositories (eg the Group::Git::Github manpage, the Group::Git::Bitbucket manpage,
the Group::Git::Gitosis manpage and the Group::Git::Stash manpage)

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md TODO.md Changes LICENSE
%perl_vendor_privlib/G*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Mon Mar 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1
- updated by package builder

* Thu Jan 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1
- regenerated from template by package builder

* Tue Jun 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.10-alt1
- regenerated from template by package builder

* Wed Jun 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.9-alt1
- regenerated from template by package builder

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.8-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.7-alt1
- regenerated from template by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.6-alt1
- regenerated from template by package builder

* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.5-alt1
- regenerated from template by package builder

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.4-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.3-alt1
- regenerated from template by package builder

* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1
- regenerated from template by package builder

* Sat Dec 17 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.10-alt1
- regenerated from template by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1
- regenerated from template by package builder

* Mon Oct 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.5.7-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.5.6-alt1
- regenerated from template by package builder

* Fri Apr 17 2015 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.4.3-alt1
- regenerated from template by package builder

* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.4.2-alt1
- regenerated from template by package builder

* Mon Dec 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1
- regenerated from template by package builder

* Mon Nov 24 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1
- regenerated from template by package builder

* Mon Dec 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1
- regenerated from template by package builder

* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1
- initial import by package builder

